<?php
/*
    Copyright (C) 2007 Yan Morin <yan.morin@gmail.com>

    This file is part of libfdpf.

    libfdpf is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    libfdpf is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with libfdpf.  If not, see <http://www.gnu.org/licenses/>.
*/
define('NL',"\n");
define('EOL',";\n");

class FDPF_IWriter {
	var $orientation = 'P';
	var $unit = 'pt';
	var $format = 'A4';
	var $pagewidth = 0.0;
	var $pageheight = 0.0;
	function FDPF_IWriter() {}
	function header($orientation, $unit, $format, $pagewidth = 0, $pageheight = 0) { 
		$this->orientation = $orientation;
		$this->unit = $unit;
		$this->format = $format;
		$this->pagewidth = floatval($this->pagewidth);
		$this->pageheight = floatval($this->pageheight);
		$this->_header(); 
	} 
	function footer() { $this->_footer(); } 
	function page_start($orientation, $pagewidth, $pageheight) {}
	function line($x1,$y1,$x2,$y2) {}
	function linewidth($width) {}
	function rect($x,$y,$w,$h,$pdfstyle) {}
	function text($x, $y, $txt) {}
	function font($family, $type, $size) {} 
	function fillcolor($r,$g,$b) {}
	function drawcolor($r,$g,$b) {}
	function image($id,$x,$y,$w,$h) {}
}

?>
